import { TaskStatus, TaskSubmitStatus } from '@/utils/enums'
import { checkPermi } from '@/utils/permission'

export const $taskSubmit = {
  computed: {
    // 是否允许审核
    canVerify() {
      return (row) => {
        return checkPermi(['bst:taskSubmit:verify'])
          && TaskSubmitStatus.canVerify().includes(row.status)
          && TaskStatus.canVerify().includes(row.taskStatus)
      }
    },
  }

}